Bug 259341 - lang/nim: Upgrade to 1.6.0
Summary: lang/nim: Upgrade to 1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://nim-lang.org/blog/2021/10/19/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-21 13:48 UTC by Neal Nelson
Modified: 2021-10-29 10:32 UTC (History)
2 users (show)

See Also:


Attachments
Git diff of changes. (30.07 KB, patch)
2021-10-21 13:48 UTC, Neal Nelson
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neal Nelson 2021-10-21 13:48:27 UTC
Created attachment 228925 [details]
Git diff of changes.

Upgrade the port to the latest 1.6.0 version of Nim.

Alas Nimble seems to have been removed from the source and reinstated within the build system using a git fetch, so along with nimfind it has been disabled for this port. I will have to recreate a port for nimble. If there is demand, I can also do so for nimfind, but I do not use it myself.
Comment 1 Yasuhiro Kimura freebsd_committer 2021-10-28 10:10:45 UTC
Take.
Comment 2 commit-hook freebsd_committer 2021-10-28 11:18:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a516093a0aac59570a7fd186bb6eda4261fc02cf

commit a516093a0aac59570a7fd186bb6eda4261fc02cf
Author:     Neal Nelson <ports@nicandneal.net>
AuthorDate: 2021-10-28 11:13:54 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-28 11:17:11 +0000

    lang/nim: Update to 1.6.0

    * Switch to DISTVERSION
    * Pet portlint and portclippy
    * Reformat Makefile with portfmt

    PR:             259341

 lang/nim/Makefile                   |  24 ++---
 lang/nim/distinfo                   |   6 +-
 lang/nim/files/patch-config-nim.cfg |  38 +++----
 lang/nim/files/patch-koch.nim       | 198 ++++++++++++++++++++++++++++++++++--
 lang/nim/pkg-plist                  | 127 ++++++++++++++++-------
 5 files changed, 315 insertions(+), 78 deletions(-)
Comment 3 Yasuhiro Kimura freebsd_committer 2021-10-28 11:21:54 UTC
Committed with some refinements. Thanks!